<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Name: VZVZ Opvragen Contactverslagen
Description: Opvragen Contactverslagen 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000">
   <title>VZVZ Opvragen Contactverslagen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL" id="d19e5773-false-d118738e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]])&gt;=1">(opvragenContactverslagen): element hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]])&lt;=1">(opvragenContactverslagen): element hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9022
Context: //hl7:REPC_IN990100NL/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]"
         id="d118735e63-false-d118770e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&gt;=1">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9022
Context: //hl7:REPC_IN990100NL/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]"
         id="d118735e65-false-d118802e0">
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or not(@code) or (@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(AttentionLineContextCode): de elementwaarde MOET een zijn van 'code 'CONTEXT' codeSystem '2.16.840.1.113883.2.4.15.1''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="text()='ContextCode'">(AttentionLineContextCode): de element content van hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] MOET ''ContextCode'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9022
Context: //hl7:REPC_IN990100NL/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d118735e73-false-d118826e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AttentionLineContextCode): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.111.3.3.11.1 AORTA Context Code (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]"
         id="d19e5779-false-d118856e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="string(@moodCode)=('EVN')">(opvragenContactverslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.1.18' or @nullFlavor])&lt;=1">(opvragenContactverslagen): element hl7:code[@codeSystem='2.16.840.1.113883.1.18' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(opvragenContactverslagen): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']])&gt;=1">(opvragenContactverslagen): element hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']])&lt;=1">(opvragenContactverslagen): element hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:code[@codeSystem='2.16.840.1.113883.1.18' or @nullFlavor]
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:code[@codeSystem='2.16.840.1.113883.1.18' or @nullFlavor]"
         id="d19e5783-false-d118904e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(opvragenContactverslagen): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.1.18''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:effectiveTime
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:effectiveTime"
         id="d19e5791-false-d118921e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="not(*)">(opvragenContactverslagen): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]"
         id="d19e5802-false-d118943e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:queryId[not(@nullFlavor)])&gt;=1">(opvragenContactverslagen): element hl7:queryId[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:queryId[not(@nullFlavor)])&lt;=1">(opvragenContactverslagen): element hl7:queryId[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:statusCode[@code='executing'])&gt;=1">(opvragenContactverslagen): element hl7:statusCode[@code='executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:statusCode[@code='executing'])&lt;=1">(opvragenContactverslagen): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&gt;=1">(opvragenContactverslagen): element hl7:responseModalityCode[@code='R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&lt;=1">(opvragenContactverslagen): element hl7:responseModalityCode[@code='R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&gt;=1">(opvragenContactverslagen): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&lt;=1">(opvragenContactverslagen): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:executionAndDeliveryTime[not(@nullFlavor)])&gt;=1">(opvragenContactverslagen): element hl7:executionAndDeliveryTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:executionAndDeliveryTime[not(@nullFlavor)])&lt;=1">(opvragenContactverslagen): element hl7:executionAndDeliveryTime[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']])&gt;=1">(opvragenContactverslagen): element hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']])&lt;=1">(opvragenContactverslagen): element hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:effectiveTimeInterval)&lt;=1">(opvragenContactverslagen): element hl7:effectiveTimeInterval komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13'])&gt;=1">(opvragenContactverslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13'])&lt;=1">(opvragenContactverslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:queryId[not(@nullFlavor)]
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:queryId[not(@nullFlavor)]"
         id="d19e5804-false-d119047e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:statusCode[@code='executing']
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:statusCode[@code='executing']"
         id="d19e5815-false-d119059e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="@nullFlavor or (@code='executing')">(opvragenContactverslagen): de elementwaarde MOET een zijn van 'code 'executing''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:responseModalityCode[@code='R']
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:responseModalityCode[@code='R']"
         id="d19e5828-false-d119077e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="@nullFlavor or (@code='R')">(opvragenContactverslagen): de elementwaarde MOET een zijn van 'code 'R''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:responsePriorityCode[@code='I']
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:responsePriorityCode[@code='I']"
         id="d19e5841-false-d119095e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="@nullFlavor or (@code='I')">(opvragenContactverslagen): de elementwaarde MOET een zijn van 'code 'I''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:executionAndDeliveryTime[not(@nullFlavor)]
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:executionAndDeliveryTime[not(@nullFlavor)]"
         id="d19e5854-false-d119112e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="not(*)">(opvragenContactverslagen): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9035
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']]
Item: (QRYpatientId)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']]"
         id="d119113e30-false-d119131e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1">(QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.4.10.1
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']]/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (dtBSNValue)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']]/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="d119126e29-false-d119157e0">
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(dtBSNValue): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="@extension">(dtBSNValue): attribute @extension MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="not(@extension) or string-length(@extension)&gt;0">(dtBSNValue): attribuut @extension MOET datatype 'st' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(dtBSNValue): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="string-length(@extension) = 9">(dtBSNValue): Het BSN dient altijd 9 cijfers te bevatten. Het BSN kan ook voorloopnullen bevatten, oftewel beginnen met een nul.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9034
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval
Item: (QRYeffectiveTimeInterval)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval"
         id="d119158e50-false-d119180e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(QRYeffectiveTimeInterval): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(QRYeffectiveTimeInterval): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9034
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval/hl7:value[not(@nullFlavor)]
Item: (QRYeffectiveTimeInterval)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval/hl7:value[not(@nullFlavor)]"
         id="d119158e58-false-d119197e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(QRYeffectiveTimeInterval): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(QRYeffectiveTimeInterval): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(QRYeffectiveTimeInterval): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="count(hl7:low[not(@nullFlavor)])&gt;=1">(QRYeffectiveTimeInterval): element hl7:low[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="count(hl7:low[not(@nullFlavor)])&lt;=1">(QRYeffectiveTimeInterval): element hl7:low[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="count(hl7:high)&lt;=1">(QRYeffectiveTimeInterval): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9034
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]
Item: (QRYeffectiveTimeInterval)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]"
         id="d119158e63-false-d119225e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(QRYeffectiveTimeInterval): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="not(*)">(QRYeffectiveTimeInterval): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9034
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:high
Item: (QRYeffectiveTimeInterval)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:high"
         id="d119158e65-false-d119239e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(QRYeffectiveTimeInterval): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="not(*)">(QRYeffectiveTimeInterval): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.13']"
         id="d19e5872-false-d119254e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.111.3.3.10.13')">(opvragenContactverslagen): de waarde van @root MOET '2.16.840.1.113883.2.4.3.111.3.3.10.13' zijn.</assert>
   </rule>
</pattern>
